VPS
All operations require authentication.
List available servicesProduction
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get this object propertiesProduction
Path parameters
The internal name of your VPS offer
Response
Set the name displayed in ManagerV6 for your VPS (max 50 chars)
IAM resource metadata
Set KVM keyboard layout on VPS Cloud. Reboot your VPS after change
frusLock status of the VPS
A structure describing characteristics of a VPS model
Ip blocks for OVH monitoring servers
All values a VPS netboot mode can be in
distantlocalrescueAll offers a VPS can have
beta-classicclassiccloudcloudramgame-classiclowlatssdAll states a VPS can be in
backupinginstallingmaintenancerebootingrescuedrunningstoppedstoppingupgradingZone type
localzoneregionExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "cluster": "string", "displayName": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "keymap": "fr", "lockStatus": { "locked": true, "reason": "abuse" }, "memoryLimit": 0, "model": { "availableOptions": [ "additionalDisk" ], "datacenter": [ "string" ], "disk": 0, "diskLocationType": "distant", "maximumAdditionnalIp": 0, "memory": 0, "name": "string", "offer": "string", "vcore": 0, "version": "2013v1" }, "monitoringIpBlocks": [ "192.0.2.0/24" ], "name": "string", "netbootMode": "distant", "offerType": "beta-classic", "slaMonitoring": true, "state": "backuping", "vcore": 0, "zone": "string", "zoneType": "localzone"}
Alter this object propertiesProduction
Path parameters
The internal name of your VPS offer
Request body (required)
Set the name displayed in ManagerV6 for your VPS (max 50 chars)
Set KVM keyboard layout on VPS Cloud. Reboot your VPS after change
frusA structure describing characteristics of a VPS lock status
A structure describing characteristics of a VPS model
Ip blocks for OVH monitoring servers
Reboot your VPS 'Cloud' after change, VPS 'Classic/LowLat' will reboot automatically. Credentials for rescue mode will be sent by mail
distantlocalrescueAll offers a VPS can have
beta-classicclassiccloudcloudramgame-classiclowlatssdAll states a VPS can be in
backupinginstallingmaintenancerebootingrescuedrunningstoppedstoppingupgradingZone type
localzoneregionResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"Abort ongoing snapshot or autobackupProduction
Path parameters
The internal name of your VPS offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ abortSnapshot \
-H "authorization: Bearer $OVH_TOKEN"Return all active options for the virtual serverDeprecated
Deprecated since Oct 23, 2013, will be removed on Nov 23, 2013 — use /vps/{serviceName}/option instead.
Path parameters
The internal name of your VPS offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ activeOptions \
-H "authorization: Bearer $OVH_TOKEN"[ "additionalDisk"]
Get this object propertiesProduction
Path parameters
The internal name of your VPS offer
Response
Number of rotation of your automated backup
Scheduled time of your daily backup
Resource name of the service of your automated backup
Backup state
disabledenabledExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ automatedBackup \
-H "authorization: Bearer $OVH_TOKEN"{ "rotation": 0, "schedule": "15:04:05", "serviceResourceName": "string", "state": "disabled"}
Backup attached to your VPSProduction
Path parameters
The internal name of your VPS offer
Response
A structure describing a backup's access informations
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ automatedBackup/ attachedBackup \
-H "authorization: Bearer $OVH_TOKEN"[ { "access": { "additionalDisk": "string", "nfs": "string", "smb": "string" }, "restorePoint": "2024-01-01T12:00:00Z" }]
Create a VPS.Task that will umount a restored backup on your VPSProduction
Path parameters
The internal name of your VPS offer
Request body (required)
restorePoint fetched in /vps/{serviceName}/automatedBackup/attachedBackup
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ automatedBackup/ detachBackup \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Change the scheduled time of your daily backupProduction
Path parameters
The internal name of your VPS offer
Request body (required)
New scheduled time of your daily backup
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ automatedBackup/ reschedule \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Creates a VPS.Task that will restore the given restorePointProduction
Path parameters
The internal name of your VPS offer
Request body (required)
Only with restore full on VPS Cloud 2014
Restore Point fetched in /automatedBackup/restorePoints
file: Attach/export restored disk to your current VPS - full: Replace your current VPS by the given restorePoint
filefullResponse
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ automatedBackup/ restore \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Get available Restore PointsProduction
Path parameters
The internal name of your VPS offer
Query parameters
The state of the restore point
availablerestoredrestoringResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ automatedBackup/ restorePoints \
-H "authorization: Bearer $OVH_TOKEN"[ "2024-01-01T12:00:00Z"]
Return all models the virtual server can be upgraded toProduction
Path parameters
The internal name of your VPS offer
Response
additionalDiskautomatedBackupcpanelftpbackupplesksnapshotstorageveeamwindowsAll location type a VPS primary disk can have
distantlocalAll versions that VPS can have
2013v12014v12015v12017v12017v22017v32018v12018v22019v12025v12027v1Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ availableUpgrade \
-H "authorization: Bearer $OVH_TOKEN"[ { "availableOptions": [ "additionalDisk" ], "datacenter": [ "string" ], "disk": 0, "diskLocationType": "distant", "maximumAdditionnalIp": 0, "memory": 0, "name": "string", "offer": "string", "vcore": 0, "version": "2013v1" }]
Get this object propertiesProduction
Path parameters
The internal name of your VPS offer
Response
The backup FTP server name
The disk space available on your backup FTP
If not-null, gives the date since when your account was set in read-only mode because the quota was exceeded
The backup FTP type
The disk space currently used on your backup FTP
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ backupftp \
-H "authorization: Bearer $OVH_TOKEN"{ "ftpBackupName": "string", "quota": { "unit": "string", "value": 0 }, "readOnlyDate": "2024-01-01T12:00:00Z", "type": "string", "usage": { "unit": "string", "value": 0 }}
List of IP blocks (and protocols to allow on these blocks) authorized on your backup FTPProduction
Path parameters
The internal name of your VPS offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ backupftp/ access \
-H "authorization: Bearer $OVH_TOKEN"[ "192.0.2.0/24"]
Create a backup FTP ACLProduction
Create a backup FTP ACL. Authorizes an IP block on the backup FTP space with the chosen protocols and returns a task. At least one of ftp, nfs and cifs must be enabled; ftp is false when omitted. authorizableBlocks lists the eligible blocks.
Path parameters
The internal name of your VPS offer
Request body (required)
Whether to allow the CIFS (SMB) protocol for this ACL
Whether to allow the FTP protocol for this ACL
The IP Block specific to this ACL. It musts belong to your server.
Whether to allow the NFS protocol for this ACL
Response
UUID of the change linked to this task
Details of this task
Completion date
Function name
INFRA_002_VirtualNetworkInterfaceINFRA_002_VirtualNetworkInterface_groupINFRA_002_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_VirtualNetworkInterface_ungroupaddVirtualMacaddWindowSplaFromExistingSerialapplyBackupFtpAclsapplyBackupFtpQuotabypassAntiDDosGamechangePasswordBackupFTPchangeRipeOrgcheckAndReleaseIpcreateBackupFTPcreateOrUpdateRipeOrgcreatePrivateNetworkdisableFirewallenableFirewallgenericMoveFloatingIphardReboothardware_updateipmi/configureSGXmigrateBackupFTPmoveFloatingIpmoveVirtualMacreagregateBlockrebootPower8ToreinstallServerreleaseIpremoveBackupFTPremoveVirtualMacrequestAccessIPMIresetIPMIresetIPMISessiontestIPMIhttptestIPMIpasswordtestIPMIpingvirtualMacAddvirtualMacDeletelast update
Whether this task need to be scheduled or not
Extra information about this task
ID of the planned intervention for this task
Task Creation date
Task status
cancelledcustomerErrordoingdoneinitovhErrortodoTask result tags output
the id of the task
Reference of the thread on the support tool
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ backupftp/ access \
-H "authorization: Bearer $OVH_TOKEN"{ "changeUuid": "string", "comment": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "INFRA_002_VirtualNetworkInterface", "lastUpdate": "2024-01-01T12:00:00Z", "needSchedule": true, "note": "string", "plannedInterventionId": 0, "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "tags": [ { "key": "string", "value": "string" } ], "taskId": 0, "ticketReference": "string"}
Get a backup FTP ACLProduction
Get a backup FTP ACL. Returns the protocols allowed for the IP block (FTP, NFS, CIFS), whether the rule is applied on the backup FTP space and its last update date.
Path parameters
The IP Block specific to this ACL
The internal name of your VPS offer
Response
Whether to allow the CIFS (SMB) protocol for this ACL
Whether to allow the FTP protocol for this ACL
The IP Block specific to this ACL
Whether the rule has been applied on the Backup Ftp
Date of the last object modification
Whether to allow the NFS protocol for this ACL
Example uses ipBlock = 192.0.2.0/24, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ backupftp/ access/ {ipBlock} \
-H "authorization: Bearer $OVH_TOKEN"{ "cifs": true, "ftp": true, "ipBlock": "192.0.2.0/24", "isApplied": true, "lastUpdate": "2024-01-01T12:00:00Z", "nfs": true}
Update a backup FTP ACLProduction
Update a backup FTP ACL. Updates the protocols allowed for the IP block: ftp, nfs and cifs. The change is applied asynchronously: isApplied stays false until it is in effect.
Path parameters
The IP Block specific to this ACL
The internal name of your VPS offer
Request body (required)
Whether to allow the CIFS (SMB) protocol for this ACL
Whether to allow the FTP protocol for this ACL
The IP Block specific to this ACL
Whether the rule has been applied on the Backup Ftp
Date of the last object modification
Whether to allow the NFS protocol for this ACL
Response
Example uses ipBlock = 192.0.2.0/24, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ backupftp/ access/ {ipBlock} \
-H "authorization: Bearer $OVH_TOKEN"Delete a backup FTP ACLProduction
Delete a backup FTP ACL. Revokes the access of the IP block to the backup FTP space and returns a task. The task carries the status of the revocation.
Path parameters
The IP Block specific to this ACL
The internal name of your VPS offer
Response
UUID of the change linked to this task
Details of this task
Completion date
Function name
INFRA_002_VirtualNetworkInterfaceINFRA_002_VirtualNetworkInterface_groupINFRA_002_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_VirtualNetworkInterface_ungroupaddVirtualMacaddWindowSplaFromExistingSerialapplyBackupFtpAclsapplyBackupFtpQuotabypassAntiDDosGamechangePasswordBackupFTPchangeRipeOrgcheckAndReleaseIpcreateBackupFTPcreateOrUpdateRipeOrgcreatePrivateNetworkdisableFirewallenableFirewallgenericMoveFloatingIphardReboothardware_updateipmi/configureSGXmigrateBackupFTPmoveFloatingIpmoveVirtualMacreagregateBlockrebootPower8ToreinstallServerreleaseIpremoveBackupFTPremoveVirtualMacrequestAccessIPMIresetIPMIresetIPMISessiontestIPMIhttptestIPMIpasswordtestIPMIpingvirtualMacAddvirtualMacDeletelast update
Whether this task need to be scheduled or not
Extra information about this task
ID of the planned intervention for this task
Task Creation date
Task status
cancelledcustomerErrordoingdoneinitovhErrortodoTask result tags output
the id of the task
Reference of the thread on the support tool
Example uses ipBlock = 192.0.2.0/24, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ backupftp/ access/ {ipBlock} \
-H "authorization: Bearer $OVH_TOKEN"{ "changeUuid": "string", "comment": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "INFRA_002_VirtualNetworkInterface", "lastUpdate": "2024-01-01T12:00:00Z", "needSchedule": true, "note": "string", "plannedInterventionId": 0, "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "tags": [ { "key": "string", "value": "string" } ], "taskId": 0, "ticketReference": "string"}
Change your Backup FTP passwordProduction
Path parameters
The internal name of your VPS offer
Response
UUID of the change linked to this task
Details of this task
Completion date
Function name
INFRA_002_VirtualNetworkInterfaceINFRA_002_VirtualNetworkInterface_groupINFRA_002_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_VirtualNetworkInterface_ungroupaddVirtualMacaddWindowSplaFromExistingSerialapplyBackupFtpAclsapplyBackupFtpQuotabypassAntiDDosGamechangePasswordBackupFTPchangeRipeOrgcheckAndReleaseIpcreateBackupFTPcreateOrUpdateRipeOrgcreatePrivateNetworkdisableFirewallenableFirewallgenericMoveFloatingIphardReboothardware_updateipmi/configureSGXmigrateBackupFTPmoveFloatingIpmoveVirtualMacreagregateBlockrebootPower8ToreinstallServerreleaseIpremoveBackupFTPremoveVirtualMacrequestAccessIPMIresetIPMIresetIPMISessiontestIPMIhttptestIPMIpasswordtestIPMIpingvirtualMacAddvirtualMacDeletelast update
Whether this task need to be scheduled or not
Extra information about this task
ID of the planned intervention for this task
Task Creation date
Task status
cancelledcustomerErrordoingdoneinitovhErrortodoTask result tags output
the id of the task
Reference of the thread on the support tool
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ backupftp/ password \
-H "authorization: Bearer $OVH_TOKEN"{ "changeUuid": "string", "comment": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "INFRA_002_VirtualNetworkInterface", "lastUpdate": "2024-01-01T12:00:00Z", "needSchedule": true, "note": "string", "plannedInterventionId": 0, "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "tags": [ { "key": "string", "value": "string" } ], "taskId": 0, "ticketReference": "string"}
Change service contactsProduction
Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.
Path parameters
The internal name of your VPS offer
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Confirm service terminationProduction
Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.
Path parameters
The internal name of your VPS offer
Request body (required)
Commentary about your termination request
What next after your termination request
NOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITORReason of your termination request
FEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORTThe termination token sent by email to the admin contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ confirmTermination \
-H "authorization: Bearer $OVH_TOKEN""string"
Create a snapshot of the Virtual Server if the snapshot option is enabled and if there is no existing snapshotProduction
Path parameters
The internal name of your VPS offer
Request body (required)
A textual description for your snapshot
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ createSnapshot \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Get this object propertiesProduction
Path parameters
The internal name of your VPS offer
Response
Datacenter ISO country code
acadaeafagaialamanaoaqarasatauawaxazbabbbdbebfbgbhbibjblbmbnbobqbrbsbtbvbwbybzcacccdcfcgchcickclcmcncocrcscucvcwcxcyczdedjdkdmdodzeceeegeheresetfcfdfifjfkfmfofrfxgagbgdgegfggghgiglgmgngpgqgrgsgtgugwgyhkhmhnhrhthuidieiliminioiqirisitjejmjojpkekgkhkikmknkpkrkwkykzlalblclilklrlsltlulvlymamcmdmemfmgmhmkmlmmmnmompmqmrmsmtmumvmwmxmymznancnenfngninlnonpnrnunzompapepfpgphpkplpmpnprpsptpwpyqaqcrerorsrurwsasbscsdsesgshsisjskslsmsnsosrssstsvsxsysztctdtftgthtjtktltmtntotptrtttvtwtzuaugukumusuyuzvavcvevgvivnvuwewfwsyeytyuzazmzwDatacenter display name
Datacenter name
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ datacenter \
-H "authorization: Bearer $OVH_TOKEN"{ "country": "ac", "longName": "string", "name": "string"}
Disks associated to this virtual serverProduction
Path parameters
The internal name of your VPS offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ disks \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get this object propertiesProduction
Path parameters
Id of the object
The internal name of your VPS offer
Response
The low disk free space threshold in MiB
The monitoring state of this disk
Service name
Possible states the disk can be in
connecteddisconnectedpendingPossible type a disk can be in
additionalprimaryExample uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ disks/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "bandwidthLimit": 0, "id": 0, "lowFreeSpaceThreshold": 0, "monitoring": true, "serviceName": "string", "size": 0, "state": "connected", "type": "additional"}
Alter this object propertiesProduction
Path parameters
Id of the object
The internal name of your VPS offer
Request body (required)
The low disk free space threshold in MiB
The monitoring state of this disk
Service name
Possible states the disk can be in
connecteddisconnectedpendingPossible type a disk can be in
additionalprimaryResponse
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ disks/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Return many statistics about the disk for a given periodProduction
Path parameters
Id of the object
The internal name of your VPS offer
Query parameters
The period the statistics are fetched for
lastdaylastmonthlastweeklastyeartodayThe type of statistic to be fetched
maxusedResponse
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ disks/ {id}/ monitoring \
-H "authorization: Bearer $OVH_TOKEN"{ "unit": "string", "values": [ { "timestamp": 0, "value": 0 } ]}
Return many statistics about the disk at that timeProduction
Path parameters
Id of the object
The internal name of your VPS offer
Query parameters
The type of statistic to be fetched
maxusedResponse
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ disks/ {id}/ use \
-H "authorization: Bearer $OVH_TOKEN"{ "unit": "string", "value": 0}
Get this object propertiesProduction
Path parameters
The internal name of your VPS offer
Response
Bitness of a VPS template
3264Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ distribution \
-H "authorization: Bearer $OVH_TOKEN"{ "availableLanguage": [ "string" ], "bitFormat": 32, "distribution": "string", "id": 0, "locale": "string", "name": "string"}
List available softwares for this template IdProduction
Path parameters
The internal name of your VPS offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ distribution/ software \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get this object propertiesProduction
Path parameters
The internal name of your VPS offer
Response
Available Status for a vps Software
deprecatedstabletestingAvailable Type for a vps Software
databaseenvironmentwebserverExample uses serviceName = string, softwareId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ distribution/ software/ {softwareId} \
-H "authorization: Bearer $OVH_TOKEN"{ "id": 0, "name": "string", "status": "deprecated", "type": "database"}
Return the VPS console URLProduction
Path parameters
The internal name of your VPS offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ getConsoleUrl \
-H "authorization: Bearer $OVH_TOKEN""string"
Images available for this virtual serverBeta
Path parameters
The internal name of your VPS offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ images/ available \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get this object propertiesBeta
Path parameters
Id of the object
The internal name of your VPS offer
Response
Example uses id = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ images/ available/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "id": "string", "name": "string"}
Get this object propertiesBeta
Path parameters
The internal name of your VPS offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ images/ current \
-H "authorization: Bearer $OVH_TOKEN"{ "id": "string", "name": "string"}
Get the countries you can select for your IPs geolocationProduction
Path parameters
The internal name of your VPS offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ ipCountryAvailable \
-H "authorization: Bearer $OVH_TOKEN"[ "at"]
Ips associated to this virtual serverProduction
Path parameters
The internal name of your VPS offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ ips \
-H "authorization: Bearer $OVH_TOKEN"[ "192.0.2.0"]
Get this object propertiesProduction
Path parameters
The effective ip address of the Ip object
The internal name of your VPS offer
Response
IP address (e.g., 192.0.2.0)
Geolocation of the IP Address
ataubecachczdeesfifrgbieinitltnlplptsgukusThe effective ip address of the Ip object
Ip types on a VPS
additionalprimaryIp versions
v4v6Example uses ipAddress = 192.0.2.0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ ips/ {ipAddress} \
-H "authorization: Bearer $OVH_TOKEN"{ "gateway": "192.0.2.0", "geolocation": "at", "ipAddress": "192.0.2.0", "macAddress": "string", "reverse": "string", "type": "additional", "version": "v4"}
Alter this object propertiesProduction
Path parameters
The effective ip address of the Ip object
The internal name of your VPS offer
Request body (required)
IP address (e.g., 192.0.2.0)
Geolocation of the IP Address
ataubecachczdeesfifrgbieinitltnlplptsgukusThe effective ip address of the Ip object
Ip types on a VPS
additionalprimaryIp versions
v4v6Response
Example uses ipAddress = 192.0.2.0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ ips/ {ipAddress} \
-H "authorization: Bearer $OVH_TOKEN"Release a given Ip (Additional Ip)Production
Path parameters
The effective ip address of the Ip object
The internal name of your VPS offer
Response
Example uses ipAddress = 192.0.2.0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ ips/ {ipAddress} \
-H "authorization: Bearer $OVH_TOKEN"Return metrics token to query prometheus clusterProduction
Path parameters
The internal name of your VPS offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ metricsToken \
-H "authorization: Bearer $OVH_TOKEN"{ "endpoint": "string", "token": "string"}
Get information on a possible migration of a VPS 2016 to VPS 2020Deprecated
Deprecated since Apr 1, 2022, will be removed on May 1, 2022 — use /vps/{serviceName}/migration2018 instead.
Path parameters
The internal name of your VPS offer
Response
VPS current plan code
Datacenter of the migration
BHSDEGRASBGSGPSYDUKWAWMigration start date
New VPS plan code after migration
Mapping of VPS options from VPS 2016 to VPS 2020
VPS product
Status of the migration task
availablenotAvailableongoingplannedtoPlanExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ migration2016 \
-H "authorization: Bearer $OVH_TOKEN"{ "currentPlan": "string", "datacenter": "BHS", "date": "2024-01-01T12:00:00Z", "newPlan": "string", "options": [ { "currentPlan": "string", "newPlan": "string", "options": [ { "currentPlan": "string", "newPlan": "string", "product": "string" } ], "product": "string" } ], "product": "string", "status": "available"}
Schedule the migration of a VPS 2016 to VPS 2020Deprecated
Deprecated since Apr 1, 2022, will be removed on May 1, 2022 — use /vps/{serviceName}/migration2018 instead.
Path parameters
The internal name of your VPS offer
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ migration2016 \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Get information on a possible migration of a VPS 2016/2018 to VPS 2020Beta
Path parameters
The internal name of your VPS offer
Response
Datacenter of the migration
BHSDEGRASBGSGPSYDUKWAWMigration start date
List of available plans to migrate
Status of the migration task
availablenotAvailableongoingplannedtoPlanExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ migration2018 \
-H "authorization: Bearer $OVH_TOKEN"{ "datacenter": "BHS", "date": "2024-01-01T12:00:00Z", "plans": [ { "currentPlan": "string", "newPlan": "string", "options": [ { "currentPlan": "string", "newPlan": "string", "options": [ { "currentPlan": null, "newPlan": null, "product": null } ], "product": "string" } ], "product": "string" } ], "status": "available"}
Schedule the migration of a VPS 2016/2018 to VPS 2020Beta
Path parameters
The internal name of your VPS offer
Request body (required)
Choosen plan for migration
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ migration2018 \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Return all models for the range of the virtual serverProduction
Path parameters
The internal name of your VPS offer
Response
additionalDiskautomatedBackupcpanelftpbackupplesksnapshotstorageveeamwindowsAll location type a VPS primary disk can have
distantlocalAll versions that VPS can have
2013v12014v12015v12017v12017v22017v32018v12018v22019v12025v12027v1Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ models \
-H "authorization: Bearer $OVH_TOKEN"[ { "availableOptions": [ "additionalDisk" ], "datacenter": [ "string" ], "disk": 0, "diskLocationType": "distant", "maximumAdditionnalIp": 0, "memory": 0, "name": "string", "offer": "string", "vcore": 0, "version": "2013v1" }]
Return many statistics about the virtual machine for a given periodProduction
Path parameters
The internal name of your VPS offer
Query parameters
The period the statistics are fetched for
lastdaylastmonthlastweeklastyeartodayThe type of statistic to be fetched
cpu:iowaitcpu:maxcpu:nicecpu:syscpu:usedcpu:usermem:maxmem:usednet:rxnet:txResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ monitoring \
-H "authorization: Bearer $OVH_TOKEN"{ "unit": "string", "values": [ { "timestamp": 0, "value": 0 } ]}
Return the necessary informations to open a VNC connection to your VPSProduction
Path parameters
The internal name of your VPS offer
Request body (required)
The console protocol you want
VNCVNCOverWebSocketResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ openConsoleAccess \
-H "authorization: Bearer $OVH_TOKEN"{ "host": "string", "password": "string", "port": 0}
List of VPS optionsProduction
Path parameters
The internal name of your VPS offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ option \
-H "authorization: Bearer $OVH_TOKEN"[ "additionalDisk"]
Get this object propertiesProduction
Path parameters
The option name
additionalDiskautomatedBackupcpanelftpbackupplesksnapshotstorageveeamwindowsThe internal name of your VPS offer
Response
The option name
additionalDiskautomatedBackupcpanelftpbackupplesksnapshotstorageveeamwindowsThe state of the option
releasedsubscribedExample uses option = additionalDisk, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ option/ {option} \
-H "authorization: Bearer $OVH_TOKEN"{ "option": "additionalDisk", "state": "released"}
Release an option attached to this VPS (deprecated)Deprecated
Deprecated since Dec 22, 2023, will be removed on Dec 25, 2026.
Releases an option from the VPS. This call is deprecated.
Path parameters
Option
additionalDiskautomatedBackupcpanelftpbackupplesksnapshotstorageveeamwindowsService name
Query parameters
Delete option now, don't wait for expiration
Response
Example uses option = additionalDisk, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ option/ {option} \
-H "authorization: Bearer $OVH_TOKEN"Request a reboot of the machineProduction
Path parameters
The internal name of your VPS offer
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ reboot \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Reinstall the virtual serverBeta
Path parameters
The internal name of your VPS offer
Request body (required)
If asked, the installation password will NOT be sent (only if sshKey defined)
Id of the vps.Image fetched in /images list
If asked, RTM will be installed on your VPS
Bash script run once on first boot after reinstall
Public SSH key to pre-install on your VPS
SSH key name to pre-install on your VPS (name from /me/sshKey)
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ rebuild \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Reinstall the virtual serverProduction
Path parameters
The internal name of your VPS offer
Request body (required)
If asked, the installation password will NOT be sent (only if sshKey defined)
Distribution language. default : en
Public SSH key to pre-install on your VPS
Id of the vps.Software type fetched in /template/{id}/software
SSH key names to pre-install on your VPS (name from /me/sshKey)
Id of the vps.Template fetched in /templates list
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ reinstall \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
List of secondary dns domain nameProduction
Path parameters
The internal name of your VPS offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ secondaryDnsDomains \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Add a domain on secondary DNSProduction
Path parameters
The internal name of your VPS offer
Request body (required)
The domain to add
IPv4 address (e.g., 192.0.2.0)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ secondaryDnsDomains \
-H "authorization: Bearer $OVH_TOKEN"Get details about a secondary DNS domainProduction
Path parameters
Domain on slave server
The internal name of your VPS offer
Response
Secondary DNS server
Domain on slave server
Master IPv4 address
Example uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ secondaryDnsDomains/ {domain} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "dns": "string", "domain": "string", "ipMaster": "192.0.2.0"}
Update IP address targeted by a domain on secondary DNSProduction
Path parameters
Domain on slave server
The internal name of your VPS offer
Request body (required)
Secondary DNS server
Domain on slave server
Master IPv4 address
Response
Example uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ secondaryDnsDomains/ {domain} \
-H "authorization: Bearer $OVH_TOKEN"Remove domain on a secondary DNSProduction
Path parameters
Domain on slave server
The internal name of your VPS offer
Response
Example uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ secondaryDnsDomains/ {domain} \
-H "authorization: Bearer $OVH_TOKEN"DNS server informationsProduction
Path parameters
Domain on slave server
The internal name of your VPS offer
Response
the name server
IPv4 address (e.g., 192.0.2.0)
IPv6 address (e.g., 2001:41d0:1:1994::1)
Example uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ secondaryDnsDomains/ {domain}/ dnsServer \
-H "authorization: Bearer $OVH_TOKEN"{ "hostname": "string", "ip": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1"}
Secondary nameServer available for your ServerProduction
Path parameters
The internal name of your VPS offer
Response
the name server
IPv4 address (e.g., 192.0.2.0)
IPv6 address (e.g., 2001:41d0:1:1994::1)
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ secondaryDnsNameServerAvailable \
-H "authorization: Bearer $OVH_TOKEN"{ "hostname": "string", "ip": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1"}
Get service informationProduction
Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.
Path parameters
The internal name of your VPS offer
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationProduction
Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.
Path parameters
The internal name of your VPS offer
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"Start the process in order to set the root password of the virtual machineProduction
Start the process in order to set the root password of the virtual machine. Be careful, in case of Cloud model, a reboot is mandatory.
Path parameters
The internal name of your VPS offer
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ setPassword \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Get this object propertiesProduction
Path parameters
The internal name of your VPS offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ snapshot \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "description": "string", "id": "string", "region": "string"}
Alter this object propertiesProduction
Path parameters
The internal name of your VPS offer
Request body (required)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ snapshot \
-H "authorization: Bearer $OVH_TOKEN"Creates a vps.Task that will delete the SnapshotProduction
Path parameters
The internal name of your VPS offer
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ snapshot \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Download the snapshotProduction
Path parameters
The internal name of your VPS offer
Response
Snapshot size (bytes)
URL to download the snapshot
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ snapshot/ download \
-H "authorization: Bearer $OVH_TOKEN"{ "size": 0, "url": "string"}
Revert the Virtual Server to this snapshotProduction
Path parameters
The internal name of your VPS offer
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ snapshot/ revert \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Request the machine to startProduction
Path parameters
The internal name of your VPS offer
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ start \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Return monitoring statistics about the virtual machineDeprecated
Deprecated since Nov 7, 2023, will be removed on Jan 7, 2024.
Path parameters
The internal name of your VPS offer
Response
Average CPU usage in percentage over the last 24 hours
Current disk usage in percentage
Average memory usage in percentage over the last 24 hours
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ statistics \
-H "authorization: Bearer $OVH_TOKEN"{ "cpu": 0, "disk": 0, "memory": 0}
Give the status of the services of the main IPProduction
Path parameters
The internal name of your VPS offer
Response
Port and state of a service on an IP
Port and state of a service on an IP
Port and state of a service on an IP
Possible states of a service (ping, port)
downupPort and state of a service on an IP
Port and state of a service on an IP
Possible states of a service (ping, port)
downupExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ status \
-H "authorization: Bearer $OVH_TOKEN"{ "dns": { "port": 0, "state": "down" }, "http": { "port": 0, "state": "down" }, "https": { "port": 0, "state": "down" }, "ping": "down", "smtp": { "port": 0, "state": "down" }, "ssh": { "port": 0, "state": "down" }, "tools": "down"}
Request the machine to stopProduction
Path parameters
The internal name of your VPS offer
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ stop \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Tasks associated to this virtual serverProduction
Path parameters
The internal name of your VPS offer
Query parameters
Filter the value of state property (=)
blockedcancelleddoingdoneerrorpausedtodowaitingAckFilter the value of type property (=)
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ tasks \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get this object propertiesProduction
Path parameters
Id of the object
The internal name of your VPS offer
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ tasks/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Templates available for this virtual serverProduction
Path parameters
The internal name of your VPS offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ templates \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get this object propertiesProduction
Path parameters
Id of the object
The internal name of your VPS offer
Response
Bitness of a VPS template
3264Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ templates/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "availableLanguage": [ "string" ], "bitFormat": 32, "distribution": "string", "id": 0, "locale": "string", "name": "string"}
List available softwares for this template IdProduction
Path parameters
Id of the object
The internal name of your VPS offer
Response
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ templates/ {id}/ software \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get this object propertiesProduction
Path parameters
Id of the object
The internal name of your VPS offer
Response
Available Status for a vps Software
deprecatedstabletestingAvailable Type for a vps Software
databaseenvironmentwebserverExample uses id = 0, serviceName = string, softwareId = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ templates/ {id}/ software/ {softwareId} \
-H "authorization: Bearer $OVH_TOKEN"{ "id": 0, "name": "string", "status": "deprecated", "type": "database"}
Request service terminationProduction
Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.
Path parameters
The internal name of your VPS offer
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"
Return many statistics about the virtual machine at that timeDeprecated
Deprecated since Jul 31, 2023, will be removed on Oct 1, 2023 — use /vps/{serviceName}/monitoring instead.
Path parameters
The internal name of your VPS offer
Query parameters
The type of statistic to be fetched
cpu:iowaitcpu:maxcpu:nicecpu:syscpu:usedcpu:usermem:maxmem:usednet:rxnet:txResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ use \
-H "authorization: Bearer $OVH_TOKEN"{ "unit": "string", "value": 0}
Get this object propertiesProduction
Path parameters
The internal name of your VPS offer
Response
Backup state
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ veeam \
-H "authorization: Bearer $OVH_TOKEN"{ "backup": true}
Veeam restore points for the VPSProduction
Path parameters
The internal name of your VPS offer
Query parameters
Filter the value of creationTime property (like)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ veeam/ restorePoints \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get this object propertiesProduction
Path parameters
Id of the object
The internal name of your VPS offer
Response
The restore point's creation time
The restore point's id
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ veeam/ restorePoints/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationTime": "2024-01-01T12:00:00Z", "id": 0}
Creates a VPS.Task that will restore the given restorePointProduction
Path parameters
Id of the object
The internal name of your VPS offer
Request body (required)
(Full only) Change the restored VPS root password when done
(Except full) The export method for your restore - defaults to both
nfssmbReplace your current VPS by the restorePoint
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ veeam/ restorePoints/ {id}/ restore \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Get this object propertiesProduction
Path parameters
The internal name of your VPS offer
Response
Backup access informations
The restore point id
The restored backup state
mountedrestoringunmountedunmountingExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ veeam/ restoredBackup \
-H "authorization: Bearer $OVH_TOKEN"{ "accessInfos": { "nfs": "string", "smb": "string" }, "restorePointId": 0, "state": "mounted"}
Creates a VPS.Task that will unmount the backupProduction
Path parameters
The internal name of your VPS offer
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ veeam/ restoredBackup \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}